XFcObjectDataServant class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectDataServant Class Reference

XFcObjectDataServant holds hash table of data receivers and share data to those. More...

Collaboration diagram for XFcObjectDataServant:

[legend]
List of all members.

## Public Member Functions

| ~XFcObjectDataServant ()
| Destructor.
void | setDataReceiver (XFcDataReceiver *aReceiver)
| Sets data receiver.
INT | addDataReceiver (UINT32 aId, XFcDataReceiver *aReceiver)
| Adds data receiver to hash table.
XFcDataReceiver * | getDataReceiver (UINT32 aId)
| Gets data receiver.
XFcDataReceiver * | removeDataReceiver (UINT32 aId)
| Removes data receiver.
void | incoming (INT32 aClientId, UINT32 aId, CHAR8 *aBlock, INT aBlockLen)
| Incoming data.

## Static Public Member Functions

XFcObjectDataServant * | create ()
| Static constructor.

## Protected Member Functions

INT | init ()
| Initializes class.
| XFcObjectDataServant ()
| Protected constructor.

## Protected Attributes

XFcDataReceiver * | mReceiver
| Data receiver creator.
XFcDataReceiverHashTable * | mReceiverHashTable
| Data receiver hash table.

## Detailed Description

XFcObjectDataServant holds hash table of data receivers and share data to those.

Its purpose is to keep up hash table of data receivers. It does not own any added receiver so delete doesn not remove or release any of those.

## Constructor & Destructor Documentation

XFcObjectDataServant::XFcObjectDataServant | ( |  | ) | `[protected]`

| Protected constructor.

XFcObjectDataServant::~XFcObjectDataServant | ( |  | ) |

| Destructor.

## Member Function Documentation

INT XFcObjectDataServant::addDataReceiver | ( | UINT32 | aId,
|  | XFcDataReceiver * | aReceiver
| ) |

Adds data receiver to hash table.

Parameters:

  aReceiver | data receiver.

Returns:
  1 if successful, or 0 otherwise.

XFcObjectDataServant* XFcObjectDataServant::create | ( |  | ) | `[static]`

Static constructor.

Returns:
  new object if successful, or NULL if unsuccessful.

XFcDataReceiver* XFcObjectDataServant::getDataReceiver | ( | UINT32 | aId | ) |

Gets data receiver.

Parameters:

  aId | receiver id.

Returns:
  data receiver.

void XFcObjectDataServant::incoming | ( | INT32 | aClientId,
|  | UINT32 | aId,
|  | CHAR8 * | aBlock,
|  | INT | aBlockLen
| ) |

Incoming data.

Parameters:

  aClientId | is identidfier about client where data comes from.
  aId | object id.
  aBlock | data block.
  aBlockLen | data block length.

INT XFcObjectDataServant::init | ( |  | ) | `[protected]`

Initializes class.

Returns:
  1 if successful, or 0 otherwise.

XFcDataReceiver* XFcObjectDataServant::removeDataReceiver | ( | UINT32 | aId | ) |

Removes data receiver.

Parameters:

  aId | receiver id.

Returns:
  data receiver.

void XFcObjectDataServant::setDataReceiver | ( | XFcDataReceiver * | aReceiver | ) |

Sets data receiver.

Parameters:

  aReceiver | data receiver.

## Member Data Documentation

XFcDataReceiver* XFcObjectDataServant::mReceiver`[protected]`

| Data receiver creator.

XFcDataReceiverHashTable* XFcObjectDataServant::mReceiverHashTable`[protected]`

| Data receiver hash table.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch